%define name	licq
%define version	1.3.0
%define release	3mdk
%define obsprov licq-base licq-ssl licq-data licq-update-hosts licq-forwarder licq-autoreply

Summary:	ICQ clone written in C++, and the default plugin in Qt
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://download.sourceforge.net/licq/%{name}-%{version}.tar.bz2
Source1:	%{name}-other-browsers.tar.bz2
Source6:	forwarder-1.0.1.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch1:		licq-1.3.0-conf.patch.bz2
Patch2:		licq-1.2.4-xvt.patch.bz2
Patch3:		licq-1.3.0-lib64.patch.bz2
#Patch4:	licq-1.2.7-gcc34.patch.bz2
Obsoletes:	%{obsprov}
Provides:	%{obsprov}
Group:		Networking/Instant messaging
URL:		http://www.licq.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	autoconf2.5
BuildRequires:	kdelibs-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	libcdk-devel
BuildRequires:	libgpgme03-devel
License:	GPL

%package	console
Summary:	Console based plugin for Licq that uses ncurses
Group:		Networking/Instant messaging
Provides:	licq-plugin
Requires:	licq = %{version} ncurses

%package	kde
Summary:	KDE-enabled Qt plugin for Licq
Group:		Networking/Instant messaging
Provides:	licq-plugin
Requires:	licq = %{version}

%package	devel
Summary:	Development files for Licq
Group:		Development/C

%package	rms
Summary:	Remote management service Licq plugin
Group:		Networking/Instant messaging
Provides:	licq-plugin
Requires:	licq = %{version}

%description	devel
This is the header files that you will need in order to compile Licq plugins.

%description 
Licq supports different interfaces and functions via
plugins. Currently there are plugins for both the X Windowing System
and the console.

This package contains the base files for Licq (the Licq daemon) and
the Qt plugin, which is written using the Qt widget set. Currently
this GUI plugin has most of the ICQ functions implemented.

This starts the Qt plugin by default, so to run other plugins, you
will have to issue the command "licq -p <plugin>" once. To get back
the Qt plugin, you will have to run once "licq -p qt-gui".
Alternatively you may be able to do it in a plugin dialog box
if your plugin supports this feature.

This version of licq has SSL support for those plugins that support it.

%description	rms
RMS stands for the Remote Management Service. It is a plugin for Licq
which enables you to "telnet" to your Licq box to perform various
tasks. Security is implemented through basic username and password
authentication.

%description	kde
This is the KDE-enabled plugin for Licq. It is exactly the same as the
stock Qt GUI but it has some nice extra KDE specific stuff.

%description	console
This is a console based plugin for Licq that uses ncurses that came in
the standard Licq source package. It is extremely usable and
functional, but it does not currently have support for gpm.

Install this if you want to run Licq on the console.

%prep
#Danny: Also unpack other-browser stuff:
%setup -q -a 1
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .lib64
#%patch4 -p1 -b .gcc34

%build
# qt3 stuff
export QTDIR=%{_prefix}/lib/qt3
export QTLIB=$QTDIR/%{_lib}

# remove all the CVS crap before we build anything.
find . -type d -name 'CVS' | xargs rm -rf {} \;

export WANT_AUTOCONF_2_5=1
rm -rf `find -type d -name autom4te.cache`
#main licq stuff
autoconf
%configure2_5x
%make

cd plugins

# console interface /w ncurses plugin
cd console*
aclocal && automake && autoconf
export LIBS="$LIBS -lm"
%configure2_5x
%make

# remote management service
cd ../rms*
aclocal && automake && autoconf
%configure2_5x
%make


cp -Rf ../qt-gui* ../kde-gui

# kde gui
cd ../kde-gui*
rm -rf autom4te.cache
autoconf
# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure
%configure2_5x --with-kde 
%make

# qt gui
cd ../qt-gui*
#danny: needed to run aclocal:
aclocal && automake --foreign --gnu && autoconf
%configure2_5x
# thanks to a buggy build system ..
pushd src
for i in *.h; do
${QTDIR}/bin/moc $i -o $(basename $i .h).moc || true
done
popd
%make


%install
rm -rf $RPM_BUILD_ROOT

#licq base
%{makeinstall_std}

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/licq.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/licq.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/licq.png

# menu stuff. Start kdeplugin when in kde
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/licq <<EOF
?package(licq):\
command="licq -p kde-gui"\
icon="licq.png"\
title="Licq (KDE)"\
longtitle="ICQ client"\
needs="kde"\
section="Internet/Instant Messaging"
?package(licq):\
command="licq"\
icon="licq.png"\
title="Licq"\
longtitle="ICQ client"\
needs="x11"\
section="Networking/Instant Messaging"
EOF


#qt gui
cd plugins/qt-gui*
mkdir -p $RPM_BUILD_ROOT%_datadir/licq/qt-gui/dock.{console,flower,flower-ns,glicq,kde2,pli}
%{makeinstall_std}

# kde gui
cd ../kde-gui*
install -m755 src/.libs/licq_kde-gui.so $RPM_BUILD_ROOT%{_libdir}/licq/licq_kde-gui.so
install -m644 src/.libs/licq_kde-gui.la $RPM_BUILD_ROOT%{_libdir}/licq/licq_kde-gui.la

# console ui
cd ../console*
%{makeinstall_std}

# remote management service
cd ../rms*
%{makeinstall_std}
cd ../..

ln -sf licq $RPM_BUILD_ROOT%{_bindir}/licq-ssl

find $RPM_BUILD_ROOT%{_datadir} -type d -exec chmod 755 {} \;

# remove dangling symlink.
rm -rf $RPM_BUILD_ROOT%{_datadir}/licq/qt-gui/locale/*

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT  

%post
%{update_menus}

%postun
%{clean_menus}

#licq 
%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/licq
%{_bindir}/licq-ssl
%{_bindir}/viewurl*.sh
%{_menudir}/licq
%attr(755,root,root)%dir %{_datadir}/licq/qt-gui
%attr(755, root,root) %dir %{_datadir}/licq/translations
%attr(755, root,root) %dir %{_datadir}/licq/utilities
%attr(755, root,root) %dir %{_datadir}/licq/sounds
%dir %_libdir/licq
%{_datadir}/licq/qt-gui/*
%{_datadir}/licq/sounds/*
%{_datadir}/licq/translations/*
%{_datadir}/licq/utilities/*.utility
%{_miconsdir}/licq.png
%{_iconsdir}/licq.png
%{_liconsdir}/licq.png
%{_libdir}/licq/licq*qt*
%doc doc/ upgrade/ README*

# kde gui
%files kde
%defattr(-,root,root)
%{_libdir}/licq/licq*kde*
%doc plugins/kde-gui*/doc/README*

# devel
%files devel
%defattr(-,root,root)
%{_includedir}/licq
%doc CHANGELOG

#console plugin
%files console
%defattr(-,root,root)
%{_libdir}/licq/licq*console*
%doc plugins/console*/README 
# Danny: dissappeared: plugins/console*/licq_console.conf


# remote management service
%files rms
%defattr(-,root,root)
%{_libdir}/licq/licq*rms*
%doc plugins/rms*/COPYING plugins/rms*/README 
#Danny: seems to be gone: plugins/rms*/licq_rms.conf

%changelog
* Wed Mar 16 2005 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-3mdk
- added BuildRequires: libgpgme03-devel
- make the console stuff compile

* Sun Nov 14 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.3.0-2mdk
- add BuildRequires: libcdk-devel

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.0-1mdk
- 1.3.0
- add locale files
- regenerate P1 & P3
- drop P4 (fixed upstream)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.7-3mdk
- Fix menu

* Tue Jun 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.7-2mdk
- rebuild

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.7-1mdk
- 1.2.7
- fix gcc3.4 build (P4 from fedora)
- do not bzip2 icons
- do libtoolize
- cleanups

* Thu Apr 15 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.6-5mdk
- rebuild

* Wed Oct  1 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.6-4mdk
- lib64 fixes

* Sun Jul 20 2003 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-3mdk
- BuildRequires

* Thu Jul 17 2003 David BAUDENS <baudens@mandrakesoft.com> 1.2.6-2mdk
- Rebuild

* Thu Apr 03 2003 Nicolas Planel <nplanel@mandrakesoft.com> 1.2.6-1mdk
- Bump to version 1.2.6.

* Wed Feb 19 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.4-1mdk
- Bump to version 1.2.4.

* Mon Aug 26 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0a-4mdk
- Fix menu.

* Tue Jul 31 2002 Danny Tholen <obiwan@mailmij.org> 1.2.0-3mdk
- Rebuild for club
- update to 1.2.0a (fun and icq sounds back)
- add viewurl*.sh and remove licq_rms.conf from files section
- Fix patches
- run autoconf for plugins because of new vectorcheck-patch.
- add utilities to files
- add stuff to support other browsers than netscape
- modify menu to start kdeplugin when in kde
- licq_console.conf removed
- run aclocal before automake qt-gui
- (Geoff 20020817: rebuild for cooker. Thanks Danny!)

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk
- Remove NO_XALF menu entry

* Sat Jul 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0-1mdk
- Final.
- Configure fixup (configure is a little b0rked).

* Fri Jul 26 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.0-0.10mdk
- Your regular snapshot build.

* Sun Jul 17 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.0-0.9mdk
- Remove dangling symlinks.

* Sun Jul 14 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.0-0.8mdk
- Your regular snapshot build.

* Mon Jun 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.0-0.7mdk
- Rebuild against GL.

* Mon Jun 24 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-0.6mdk
- CVS 20020624 compile.
- Push to main.
- Silently remove forwarder plugin.
- Don't provide forwarder and licq-update-hosts -- this is so because
  it's gone for ever. We don't provide it in this package.
- Compile against Qt3.

- merge in the following differences made in main and the CVS rpm branch:
- Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-2mdk
- png -> png icons
- Provides:    licq-base licq-ssl licq-data licq-update-hosts

* Fri May 03 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.0-0.5mdk
- 20020502 compile.

* Sat Apr 13 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.0-0.4mdk
- 20020413 compile.
- Temporarily use patch 4.

* Sat Mar 23 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.0-0.3mdk
- 20020323 compile.

* Tue Jan 29 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.0-0.2mdk
- 20020129 compile.

* Tue Dec 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.0-0.1mdk
- 20011218 compile.

* Wed Dec 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-0.5.V8.2mdk
- 20011212 compile.

* Sat Nov 24 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-0.5.V8.1mdk
- initial V8_BRANCH compile.

* Sat Nov 24 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-0.5mdk
- CVS 20011123.
- Remove the title bar and tooltiptext fix (merged).

* Thu Nov 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-0.4mdk
- Fix the title bar of file transfer dialog to display multibyte text.
- Fix the tooltiptext to display multibyte text.
- Include example configuration files.

* Sat Nov 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-0.3mdk
- Really use new CVS snapshot (I sux).

* Sat Nov 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-0.2mdk
- 20011117 CVS snapshot.

* Fri Nov 09 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-0.1mdk
- QCString, not QCStrings in the patch.
- Re-gen the patch for portability (Dirk).
- Use CVS (Dirk).
- Remove translations patch (seems to have been fixed).

* Fri Nov 09 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-16mdk
- Rebuild against the latest new Qt2 library.
- Properly check for the Qt2 library.

* Sun Oct 21 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-15mdk
- Fix problem with the broken make install.

* Mon Oct 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-14mdk
- Recompile against the latest and shiniest libpng3.
- Also much to the relief of everyone, clean everything up in the spec.

* Mon Sep 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-13mdk
- Fix crash (somtimes SIGSEGV sometimes SIGFPE) when changing message type.

* Sun Sep 16 2001 Geoffrey Lee <snailtalk@manrdakesoft.com> 1.0.3-12mdk
- Hardcode traceroute path to /usr/sbin as some people may not have /usr/sbin
  in their $PATH environment variable.
  
* Sun Sep 09 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-11mdk
- Use the xvt alternatives (Patch4).
- Don't use nslookup, use host instead, as nslookup is deprecated (Patch4).
- Really back to -O3.

* Mon Sep 03 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-10mdk
- Rebuild against the latest version of OpenSSL for good measure.

* Thu Aug 30 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-9mdk
- Remove patch2 since the files to patch vanished (fix build on ia64)
- Add Obsoletes: licq-update-hosts (the package that vanished)

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-8mdk
- Quietly remove the update-hosts plugin.
- Sanity build for 8.1.
- RH patch merge (translations patch).

* Fri Aug  3 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-7mdk
- Patch5: DSO must be built with PIC code (fix build on ia64)
- Fix licq description-line-too-long
- Fix licq large-icon-not-in-package

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-6mdk
- BuildRequires:	fam-devel
- Removed BuildRequires:	qt2-devel zlib-devel

* Sat May 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-5mdk
- By popular demand compile a KDE-enabled GUI as well, based on a spec
  patch by Michel Alexandre Salim <aeruscator@yahoo.fr>.

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk
- Correct menu entry for GNOME (disable xalf)

* Sat Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-3mdk
- Make licq-data obsolete (for older systems).

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.3-2mdk
- Rebuild against Qt 2.3.0

* Sat Mar 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3 to fix a not-so-new-and-shiny-source aka security fix.

* Tue Feb 21 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.2-3mdk
- Rebuild with libmng1

* Thu Jan 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-2mdk
- back to -O3.

* Thu Dec 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-1mdk
- nice and shiny source.

* Wed Dec 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-5mdk
- compile the Qt plugin without optimizations.
- remove the segfault hack for version 0.85.

* Wed Nov 15 2000 Geoffrey Lee <snailtlak@mandrakesoft.com> 1.0-4mdk
- patched source to generate to use soundwrapper by default.

* Sun Nov 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-3mdk
- recompile with new gcc.

* Sun Oct 22 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-2mdk
- add a missing iostream include.

* Fri Oct 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-1mdk
- a very nice and new shiny version.

* Sun Oct 08 2000 Geoffrey Lee <snailtalk@mandrakeoft.com> 0.85-23mdk
- fix the segv problems (Jason, Alex.)
- remove qt-devel (Why was it ever there ??)

* Wed Sep 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-22mdk
- remove the wrapper script. It is a bad idea, really ... Qt has pretty
  crappy support for i18n anyway.
- replace the wrapper script with a symbolic link.

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 0.85-21mdk
- Fix section in Menu entry$
- Fux Summary

* Sat Sep 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-20mdk
- rebuild against the latest Qt library.
- a fix for the shell script wrapper.

* Tue Sep 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-19mdk
- for each (@group) s/ICQ/Instant messaging/;

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-18mdk
- really obsolete licq-ssl ..

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-17mdk
- requires licq, not licq-base. OK this really should be the last problem..:-(

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-16mdk
- obsolete licq-ssl as well. This should be the last of licq problems ..

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-15mdk
- obsoletes the licq-base package, as it is no longer needed (vdanen.)
- add a script for i18n (me).

* Thu Aug 31 2000 Geoffrey Lee <snailtalk@mandakesoft.com> 0.85-14mdk
- merge the licq-ssl and licq-base package to licq.

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-13mdk
- apply patch from Jan Niehusmann <jan@gondor.com> to fix an annoying bug.

* Thu Aug 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com>  0.85-12mdk
- rebuild to fix a typo.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.85-11mdk
- automatically added BuildRequires

* Sat Jul 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-10mdk
- fix silly typo in the licq-ssl package (andre)

* Thu Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-9mdk
- add post and postun for ssl package

* Thu Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-8mdk
- re-enable the ssl binary support since we can include it now

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-7mdk
- fix some wrong requires
- fix the duplicate menu entries
- remove the ssl binary (maybe one should go to crypto ...)

* Fri Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.85-6mdk
- problem with licq-ssl menu entry: command is licq-ssl not licq or else you
  don't get the secure licq to licq implementation!!
- update menus and clean the menus for the licq-ssl pcakage
- fix the requires
- fix some awfully wrong permissions ...

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-5mdk
- re-del the individual versionning. either we use individual release
  tags or we do nothing, in order to not make the upgrades impossible.
- BM

* Tue Jul 18 2000 Geoffrey lee <snailtalk@linux-mandrake.com> 0.85-4mdk
- re-add the individual versioning: it is not silly, because every plugin
  has its own version, it is best not to re-define the version ourselves
- add official rms plugin
- gtk+licq has been moved to separate spec file 
- add devel package

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-3mdk
- fix silly hardcoding of i586-mandrake-linux instead of % {_target_platform}

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-2mdk
- disable silly separate versionning of each plugin

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-1mdk
- 0.85
- gtk plugin does not compile anymore (API change)
- patch4: fix update-host plugin
- patch5: fix ltconfig problem for main

* Wed May 19 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.81-11mdk
- _tmppath
- better perl fix for gtk+licq install hack
- buildrequires qt2-devel >= 2.1, and not just in requires:
- use QTDIR
- remove some patches
- new mailchecker plugin (not compiled yet, doesn't work with release)
- add password patch for qt-gui and gtk+ gui, please test !!
- oops, require ncurses for console plugin
- removed duplicate summary
- remove -c from %%setup (ugly hack by me) and use mv

* Wed May 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.81-10mdk
- libtoolizification fix (aka shoot'party of configure).

* Wed Apr 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-9mdk
- licq-update-hosts-0.0.5-8mdk.i586.rpm has been lost in space

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-8mdk
- added dependency to qt2 >= 2.1

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-7mdk
- fixed missing icon in filelist
- added 32x32 icon
- cleanup of specfile, install section mostly [still a lot to do]
- path of qt2 with the help of Christopher Molnar

* Sun Apr 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.81-6mdk
- changed path of qt2 includes

* Sat Apr 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.81-5mdk
- Added menu icon

* Fri Apr 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.81-4mdk
- updated to use qt-2.1

* Fri Apr 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.81-3mdk
- fix menu entry
- merge menu file with spec

* Thu Apr 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.81-2mdk
- installation hacks for gtk+licq  :-/
- add URL for gtk+licq @ http://gtk.licq.org
- update hosts 0.0.5
- greatly improve description
- use prefix: _prefix and then prefix in files section
- fixed files section
- apologize for the stupid changelog mistakes that i made last time

* Fri Mar 31 2000 Lenny Cartier <lenny@mandrakesoft.com>
- add menu entry
- used srpm from Geoffrey Lee <snailtalk@linux-mandrake.com>
 
* Thu Mar 29 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- licq 0.81
- qt+licq 0.38.1
- compile qt-gui --with-spoofing ;-) ;-)

* Thu Mar 23 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- licq 0.80
- add gtk+licq 0.38
- include more docs
- hacked the spec file a lot
- add update-hosts 0.0.4 (hacked slightly to get it to work)
- use autoconf for qt plugin + update-hosts because original configure script
  was f*cked

* Tue Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com>
- clean spec
- fix group
- fix files section

* Sun Feb 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Fix docs
- Strip binaries

* Thu Jan 27 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Updated to 0.75.3a
- Fixed upgrade scripts.

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Added docs

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.70.1.
- {Build,}Requires: qt2{-,devel}.
- Correct download locations.
- Improve Summary.
- Fix build with qt2.

* Sun Sep 19 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.70 final

* Thu Aug 12 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- initial RPM

